|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QTextOStream Class Reference

The QTextOStream class is a convenience class for output streams. More...

    #include <QTextOStream>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See the Porting Guide for more information.

Part of the QtCore module.

Inherits QTextStream.

Note: All the functions in this class are reentrant.

- List of all members, including inherited members

### Public Functions

- QTextOStream ( QString * string )
- QTextOStream ( QByteArray * byteArray )
- QTextOStream ( FILE * file )

- 62 public functions inherited from QTextStream

## Detailed Description

The QTextOStream class is a convenience class for output streams.

Use QTextStream instead.

## Member Function Documentation

### QTextOStream::QTextOStream ( QString * string )

Use QTextStream(&string, QIODevice::WriteOnly) instead.

### QTextOStream::QTextOStream ( QByteArray * byteArray )

Use QTextStream(&byteArray, QIODevice::WriteOnly) instead.

### QTextOStream::QTextOStream ( FILE * file )

Use QTextStream(file, QIODevice::WriteOnly) instead.